Bug 148554 - FILEOPEN RTF Table cell widths change
Summary: FILEOPEN RTF Table cell widths change
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Oliver Specht (CIB)
URL:
Whiteboard: target:25.2.0
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2022-04-13 08:36 UTC by Gabor Kelemen (allotropia)
Modified: 2024-07-15 18:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2022-04-13 08:36:39 UTC
When attachment 179489 [details] is opened in Writer, the lower table changes its cell widths compared to Word and thin extra cells appear on the right side, as seen on attachment 179490 [details].

1, Open attachment 179489 [details] and compare the lower tables cell layout to Word

Seems to have started in 5.3, was good in 5.2, before:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0f2d5db38bac64b665c6e4a127bbbd63a7ed9af5

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-09-06 08:16:37 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-09-06 12:13:48 +0000
commit 0f2d5db38bac64b665c6e4a127bbbd63a7ed9af5 (patch)

tdf#44986 RTF import: handle \trwWidthA by faking cells

Adding CC to Miklos Vajna

Might be similar to bug 116194 where ~this was fixed for docx.
Comment 1 Gabor Kelemen (allotropia) 2022-04-13 09:11:56 UTC
Another example is attachment 179502 [details]  with screenshot attachment 179503 [details] from bug 148550
Comment 2 Miklos Vajna 2023-11-06 10:54:47 UTC
This is assigned already, so removing it from my dashboard.
Comment 3 Commit Notification 2024-07-15 18:14:59 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/13cd36248069d32688cfb8adfe0955ca5229e075

tdf#148554 RTF import - reset borders on fill cells

It will be available in 25.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.